package com.njcn.pojo.excelBody;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author hongawen
 * @Date: 2018/11/9 10:59
 */
public class DicDataExcelBody extends BaseRowModel implements Serializable {

    @Column(name="DIC_INDEX")
    @ExcelProperty(value = "字典序号" ,index = 0)
    private String dicIndex;

    @Column(name="DIC_NAME")
    @ExcelProperty(value = "字典名称" ,index = 1)
    private String dicName;

    @Column(name="DIC_TYPE")
    @ExcelProperty(value = "字典类型" ,index = 2)
    private String dicType;

    @Column(name="DIC_NUMBER")
    @ExcelProperty(value = "排序号" ,index = 3)
    private BigDecimal dicNumber;

    @Column(name="UPDATETIME")
    @ExcelProperty(value = "更新时间" ,index = 4)
    private String updateTime;

    //事件等级
    @Column(name="LEAVE")
    @ExcelProperty(value = "事件等级" ,index = 5)
    private BigDecimal leave;


    @Column(name="USER_INDEX")
    @ExcelProperty(value = "更新用户索引" ,index = 6)
    private String userIndex;


    @Column(name="STATE")
    @ExcelProperty(value = "数据状态" ,index = 7)
    private BigDecimal state;


    @Column(name = "TRIPHASE")
    @ExcelProperty(value = "高级算法内部ID" ,index = 8)
    private BigDecimal triphase;

    public String getDicIndex() {
        return dicIndex;
    }

    public void setDicIndex(String dicIndex) {
        this.dicIndex = dicIndex;
    }

    public String getDicName() {
        return dicName;
    }

    public void setDicName(String dicName) {
        this.dicName = dicName;
    }

    public String getDicType() {
        return dicType;
    }

    public void setDicType(String dicType) {
        this.dicType = dicType;
    }

    public BigDecimal getDicNumber() {
        return dicNumber;
    }

    public void setDicNumber(BigDecimal dicNumber) {
        this.dicNumber = dicNumber;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public BigDecimal getLeave() {
        return leave;
    }

    public void setLeave(BigDecimal leave) {
        this.leave = leave;
    }

    public String getUserIndex() {
        return userIndex;
    }

    public void setUserIndex(String userIndex) {
        this.userIndex = userIndex;
    }

    public BigDecimal getState() {
        return state;
    }

    public void setState(BigDecimal state) {
        this.state = state;
    }

    public BigDecimal getTriphase() {
        return triphase;
    }

    public void setTriphase(BigDecimal triphase) {
        this.triphase = triphase;
    }

    @Override
    public String toString() {
        return "DicDataExcelBody{" +
                "dicIndex='" + dicIndex + '\'' +
                ", dicName='" + dicName + '\'' +
                ", dicType='" + dicType + '\'' +
                ", dicNumber=" + dicNumber +
                ", updateTime='" + updateTime + '\'' +
                ", leave=" + leave +
                ", userIndex='" + userIndex + '\'' +
                ", state=" + state +
                ", triphase=" + triphase +
                '}';
    }
}
